Bug 254667 - ftp/curl: Update to 7.76.0
Summary: ftp/curl: Update to 7.76.0
Status: Closed DUPLICATE of bug 254773
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-30 23:01 UTC by Jung-uk Kim
Modified: 2021-04-09 10:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Fix crash with libssh2 (1.80 KB, patch)
2021-03-30 23:01 UTC, Jung-uk Kim
no flags Details | Diff
Update to 7.76.0 (2.68 KB, patch)
2021-04-06 20:21 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jung-uk Kim freebsd_committer 2021-03-30 23:01:42 UTC
Created attachment 223719 [details]
Fix crash with libssh2

When libssh2 is enabled, it may crash if keyboard interactive is enabled.  Luckily, the upstream already fixed the problem.

https://github.com/curl/curl/issues/6691
https://github.com/curl/curl/commit/1803be5746aeff88cdd5a9f4a205917d9b15b964.patch
Comment 1 Jung-uk Kim freebsd_committer 2021-04-06 20:21:19 UTC
Created attachment 223875 [details]
Update to 7.76.0
Comment 2 Jung-uk Kim freebsd_committer 2021-04-06 20:23:51 UTC
7.76.0 was released with the fix.  Also, it fixes two security vulnerabilities.

https://curl.se/changes.html
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-09 10:21:23 UTC
@Reporter, Apologies, I should have duped the latter bug. That now has the bulk of information, and has also been updated to request 7.76.1

*** This bug has been marked as a duplicate of bug 254773 ***